Package bitel.billing.server.contract.bean

# Class CommentPatternManager

java.lang.Object
bitel.billing.server.contract.bean.CommentPatternManager

    public class CommentPatternManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CommentPatternManager​(java.sql.Connection connection)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<java.lang.Integer>` | `getCidsByPatternId​(int patid)` | Возвращает список договоров, у которых установлен определенный шаблон комментариев
  `java.util.List<IdTitle>` | `getContractCommentPatternList()` |
  `java.lang.String` | `transformValueToComment​(int patternId, int contractId)` | Преобразует значения параметров договора в комментарий к договору в соответствии с шаблоном комментария
  `void` | `updateContractComment​(int contractId)` | Обновляет комментарий договора в соответствии с шаблоном

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommentPatternManager

    public CommentPatternManager​(java.sql.Connection connection)

- ## Method Details

  - ### getContractCommentPatternList

    public java.util.List<IdTitle> getContractCommentPatternList() throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### getCidsByPatternId

    public java.util.List<java.lang.Integer> getCidsByPatternId​(int patid) throws java.sql.SQLException
    Возвращает список договоров, у которых установлен определенный шаблон комментариев
    Parameters:
      `patid` - код шаблона
    Returns:
    Throws:
      `java.sql.SQLException`

  - ### updateContractComment

    public void updateContractComment​(int contractId) throws java.sql.SQLException
    Обновляет комментарий договора в соответствии с шаблоном
    Parameters:
      `contractId` - ID договора
    Throws:
      `java.sql.SQLException`

  - ### transformValueToComment

    public java.lang.String transformValueToComment​(int patternId, int contractId) throws java.sql.SQLException
    Преобразует значения параметров договора в комментарий к договору в соответствии с шаблоном комментария
    Parameters:
      `patternId` - код шаблона
      `contractId` - код договора
    Returns:
      готовый комментарий к договору
    Throws:
      `java.sql.SQLException`